Browse the docs

API reference

Account

Check which company and key a request runs as.

Check your key

GET/v1/ping

Returns the company and key you are authenticated as. The first call to make.

Returns · Ping

Show 4 fields
  • objectstring
  • modeenumrequired

    * live - live * test - test

    livetest
  • companyobjectrequired
    • iduuidrequired
    • namestringrequired
    • statusenumrequired

      * PENDING_REVIEW - PENDING_REVIEW * ACTIVE - ACTIVE * SUSPENDED - SUSPENDED * REJECTED - REJECTED

      PENDING_REVIEWACTIVESUSPENDEDREJECTED
  • keyobjectrequired
    • prefixstringrequired
    • scopeenumrequired

      * company - company * store - store

      companystore
    • store_idintegernullablerequired
Request
curl https://sandbox.api.scanimart.com/v1/ping \
  -H "Authorization: Bearer $SCANIMART_KEY"
Response · 200
{
  "object": "ping",
  "mode": "live",
  "company": {
    "id": "ORDER-1A2B3C4D5E",
    "name": "Aashirvaad Atta 5kg",
    "status": "PENDING_REVIEW"
  },
  "key": {
    "prefix": "string",
    "scope": "company",
    "store_id": 1042
  }
}